Bug 1468354 - [RFE] dynflow console button on task page should open new window
Summary: [RFE] dynflow console button on task page should open new window
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Tasks Plugin
Version: 6.2.10
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: 6.4.0
Assignee: Adam Ruzicka
QA Contact: Nikhil Kathole
URL:
Whiteboard:
: 1346223 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-06 19:37 UTC by Chris Duryee
Modified: 2019-11-05 23:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:27:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:28:58 UTC
Foreman Issue Tracker 20250 None None None 2017-07-10 06:39:11 UTC

Description Chris Duryee 2017-07-06 19:37:40 UTC
Description of problem:

If you go to the tasks list and then click a task, you'll be presented with the task page. If you then click the "dynflow console" button, the page will go directly to the dynflow console. However, if you hit the back button, you'll lose your state and go back to the big task list.

It would be better if the dynflow console link opened a new window/tab, so you don't lose your place.

Version-Release number of selected component (if applicable): 6.2.10

Comment 4 Adam Ruzicka 2017-07-10 06:39:08 UTC
Created redmine issue http://projects.theforeman.org/issues/20250 from this bug

Comment 5 pm-sat@redhat.com 2017-07-10 08:18:31 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 6 pm-sat@redhat.com 2017-07-10 08:18:34 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 7 pm-sat@redhat.com 2017-07-10 10:18:32 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20250 has been resolved.

Comment 8 Adam Ruzicka 2017-08-14 13:46:07 UTC
*** Bug 1346223 has been marked as a duplicate of this bug. ***

Comment 10 Nikhil Kathole 2018-08-14 12:23:49 UTC
VERIFIED

Version tested:
Satellite 6.4 snap 17

Clicking on "dynflow console" button opens new tab.

Comment 13 errata-xmlrpc 2018-10-16 15:27:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.